// Execute this before booting the server

(
Server.default.options.inDevice_("Scarlett 2i2 USB");
Server.default.options.hardwareBufferSize_(1024);
Server.default.options.outDevice_("Scarlett 2i2 USB");
//Server.default.options.outDevice_("External Headphones");
)
Server.killAll;

(
Routine.run({

	~usbinput = 2;
	~usbinput1 = 2;
	~usbinput2 = 3;

	~bpm = 55;
	~bps = ~bpm / 60;
	~beatsperbar = 4;
	~buflen = ~beatsperbar / ~bps;

	[ "bpm", ~bpm ].postln;
	[ "buffer length", ~buflen ].postln;

	~tc = TempoClock.new(~bps);


	~touchosc_ip = "192.168.0.209";

	("./synths.scd").loadRelative;
	Granulator.init(s);
	s.sync;
	("./control.scd").loadRelative;
	s.sync;
	("./granulator.scd").loadRelative;
	s.sync;
	("./effects.scd").loadRelative;
	s.sync;
	("./sequencer.scd").loadRelative;
	s.sync;
	("./interface.scd").loadRelative;
});
)



